# Class CredibleString

java.lang.Object
uk.ac.starlink.ttools.task.CredibleString

public class CredibleString extends Object
Aggregates a string value and a credibility assessment.

Since:
  20 Sep 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CredibleString(String value, Credibility cred)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Credibility`
`getCredibility()`
Returns the credibility.
`String`
`getValue()`
Returns the value.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CredibleString

public CredibleString(String value, Credibility cred)
Constructor.

Parameters:
  `value` - string value to use
  `cred` - credibility for usage

## Method Details

### getValue

public String getValue()
Returns the value.

Returns:
  value

### getCredibility

public Credibility getCredibility()
Returns the credibility.

Returns:
  value credibility

### toString

public String toString()

Overrides:
  `toString` in class `Object`